/*
 * This file is part of the SPiC Project Pong (https://gitlab.cs.fau.de/i4/spic/pong).
 * Copyright (c) 2018 by Bernhard Heinloth
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "led.h"
#include "adc.h"
#include "com.h"

void main(){
	sei();
	uint8_t v = 0;
	sb_led_on(BLUE1);
	while (1){
		uint8_t i = 255 - sb_adc_read(POTI)/4;
		if (i != v){
			sb_com_sendByte(i);
			v = i;
		}
		_delay_ms(20);
	}
}
